Bug 728568 - We are modifying repo metadata of type 'group' and storing a gzipped file, instead of a plaintext file.
Summary: We are modifying repo metadata of type 'group' and storing a gzipped file, in...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: user-experience
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Sprint 28
Assignee: John Matthews
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-05 15:47 UTC by John Matthews
Modified: 2013-09-09 16:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-24 20:11:02 UTC


Attachments (Terms of Use)

Description John Matthews 2011-08-05 15:47:11 UTC
Description of problem:

We are modifying repo metadata of type 'group' and storing a gzipped file, instead of a plaintext file.

  <data type="group">
    <location href="repodata/044befcc406d14d7d0302ae35fde830eb0f287b93d55b66c2e2d75e8a44a8ab6-group.xml.gz"/>
    <checksum type="sha256">044befcc406d14d7d0302ae35fde830eb0f287b93d55b66c2e2d75e8a44a8ab6</checksum>
    <timestamp>1312558590.15</timestamp>
    <open-checksum type="sha256">044befcc406d14d7d0302ae35fde830eb0f287b93d55b66c2e2d75e8a44a8ab6</open-checksum>
  </data>

This causes re-syncs of a locally synced repo to fail to parse the package group metadata.

Comment 2 Jeff Ortel 2011-09-08 21:03:49 UTC
build: 0.230-2

Comment 3 Preethi Thomas 2011-09-26 15:13:59 UTC
verified
[root@katello-test repodata]# rpm -q pulp
pulp-0.0.234-1.el6.noarch

 <data type="group_gz">
    <location href="repodata/comps.xml.gz"/>
    <checksum type="sha256">fca6e17ac750659e2ddc296b031cbaaa07912b30855a5925d8638097da11cfb5</checksum>
    <open-checksum type="sha256">3cee7ec54a8377c1d787a266160136ddd03a3e331a75a1369e4455456285750a</open-checksum>
    <timestamp>1317049821</timestamp>
  </data>
  <data type="group">
    <location href="repodata/comps.xml"/>
    <checksum type="sha256">3cee7ec54a8377c1d787a266160136ddd03a3e331a75a1369e4455456285750a</checksum>

Comment 4 Preethi Thomas 2012-02-24 20:11:02 UTC
Pulp v1.0 is released
Closed Current Release.


Note You need to log in before you can comment on or make changes to this bug.